1 rem This is a simple test program that initializes a block of 16 bytes,
2 rem erases the 1st 4K sector in flash memory and waits for the erase to
3 rem finish, then writes the 16 bytes of data to the first 16 bytes of
4 rem the first page of flash memory.  After erasing and writing, it reads
5 rem the 16 byte block into a buffer and dumps the buffer to the display.
6 rem
100 r = $03000000 : rem Read command
110 w = $02000000 : rem Write command
120 x = $06 : rem Write Enable command
130 e = $20000000 : rem Erase command
140 s = $05 : rem Read Status command
150 for i = 0 to 15 : rem Initialize some data
160 byte[page+i] = i
170 next i
180 gosub 3000 : rem Erase 1st 4K sector
190 gosub 1000 : rem Read and display data
200 gosub 2000 : rem Write some data
210 gosub 1000 : rem Read and display data
220 stop
1000 print "read ";flash[r,16,page+16] : rem Read 16 bytes
1010 dump page,32 : rem display block of data
1020 return
2000 print "write ";flash[x,0,0];flash[w,-16,page] : rem Write 16 bytes
2010 if flash[s,1,0] & 1 = 1 then goto 2010 : rem Wait for not busy
2020 return
3000 print "erase ";flash[x,0,0];flash[e,0,0] : rem Erase 4K sector
3010 if flash[s,1,0] & 1 = 1 then goto 3010 : rem Wait for not busy
3020 return
